<?php
return [
	'forms' => [
		'settings-dev' =>  include __DIR__ . '/forms/settings/dev.form.php',
		'settings-errors' => include __DIR__ . '/forms/settings/errors.form.php',
		'settings-gath' => include __DIR__ . '/forms/settings/gath.form.php',
		'settings-recaptcha' => include __DIR__ . '/forms/settings/recaptcha.form.php',
		'settings-smtp' => include __DIR__ . '/forms/settings/smtp.form.php',
		'settings-webshop' => include __DIR__ . '/forms/settings/webshop.form.php',
	],

	'gath' => [
		'base_uri' => 'bilo-sto',
	],

	'twig' => [
		'options' => [
			// ovo mora biti posebno isključeno u produkciji
			'debug' => defined('WP_DEBUG') ? WP_DEBUG : true,
			// ako smo u WordPressu keš spremamo u uploads dir
			'cache' => function_exists('wp_get_upload_dir') && function_exists('get_option')
				? rtrim(wp_get_upload_dir()['basedir'], '/') . '/cache/twig'
				: __DIR__ . '/../cache',
            'strict_variables'    => false,
		],

		'template_paths' => [
			EP_WEBSHOP_DIR . '/view',
            'woocommerce' => EP_WEBSHOP_DIR . '/view/woocommerce',
		],
	],
];